﻿@model IEnumerable<webUI.SICO.Models.EntityViewModel>

@{
    ViewBag.Title = "Entidades";
}

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <header class="card-header">
                <h4>
                    @ViewBag.Title
                    <span class="tools pull-right">
                        <a href="javascript:;" class="fa fa-chevron-down"></a>
                        <a href="javascript:;" class="fa fa-times"></a>
                    </span>
                </h4>
            </header>
            <div class="card-body">
                <a href="../Home/Index/" class="btn btn-shadow btn-default">
                    <span class="fa fa-arrow-left"></span> Atr&aacute;s...
                </a>
                <button class="btn btn-shadow btn-success" type="button" onclick="location.href='../Entity/AddNew/'">
                    <span class="fa fa-plus"></span> Nuevo
                </button>                
            </div>

        </section>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <div class="card-body">
                <section id="flip-scroll">
                    <table class="table table-bordered table-striped table-condensed cf">
                        <thead class="cf">
                            <tr>
                                <th width="55%">
                                    Nombre
                                </th>
                                <th width="25%">
                                    Tipo
                                </th>
                                <th width="20%"> Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Name)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.EntityType)
                                    </td>
                                    <td>

                                        <span class="input-group-btn">
                                            <button class="btn btn-sm btn-default" type="button" onclick="location.href='../Entity/Details/@item.Id'">
                                                <span class="fa fa-eye"></span>
                                            </button>
                                            <button class="btn btn-sm btn-default" type="button" onclick="location.href='../Entity/EditOne/@item.Id'">
                                                <span class="fa fa-pencil"></span>
                                            </button>
                                            <button class="btn btn-sm btn-danger" type="button" onclick="fnDelete(@item.Id)">
                                                <span class="fa fa-trash-o"></span>
                                            </button>
                                        </span>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </section>
            </div>
        </section>
    </div>
</div>
    
        

      

    <!--==========================================================CREAR=============================================================-->
    <div class="modal inmodal" id="CreateModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content animated bounceInRight">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Salir</span></button>
                    <i class="fa fa-laptop modal-icon"></i>
                    <h4 class="modal-title">Crear Empresa</h4>
                    <!--<small class="font-bold">Seleccione uno de los proveedores del resultado.</small>-->
                </div>
                <div class="modal-body">
                    <div class="form-group">

                        <label class="control-label">Nombre:</label>
                        <div class="input-group">
                            <input type="text" id="txtName" name="txtName" value="" class="col-sm-1 form-control">
                        </div>
                        <hr />
                        <div class="input-group">
                            <span class="input-group-btn">
                                <button id="btnSave" class="btn btn-success" type="button" onclick="fnSave()">
                                    <span class="glyphicon glyphicon-save"></span>
                                    Guardar
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <!--==========================================================MODIFICAR=============================================================-->
    <div class="modal inmodal" id="EditModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content animated bounceInRight">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Salir</span></button>
                    <i class="fa fa-laptop modal-icon"></i>
                    <h4 class="modal-title">Editar @ViewBag.Title</h4>
                    <!--<small class="font-bold">Seleccione uno de los proveedores del resultado.</small>-->
                </div>
                <div class="modal-body">
                    <div class="form-group">

                        <label class="control-label">Id:</label>
                        <div class="input-group">
                            <input type="text" id="txtEditId" name="txtEditId" value="" class="col-sm-1 form-control" disabled>
                        </div>
                        <label class="control-label">Nombre:</label>
                        <div class="input-group">
                            <input type="text" id="txtEditName" name="txtEditName" value="" class="col-sm-1 form-control">
                        </div>
                        <hr />
                        <div class="input-group">
                            <span class="input-group-btn">
                                <button id="btnEditSave" class="btn btn-success" type="button" onclick="fnEdit()">
                                    <span class="glyphicon glyphicon-save"></span>
                                    Guardar
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    @section Scripts {
        <script type="text/javascript">

        function fnLoadEdit(id, name)
        {
            $("#txtEditId").val(id);
            $("#txtEditName").val(name);

        }

        function fnSave()
        {

            var par = {};
            par.Id = 0;
            par.Name = $("#txtName").val();

            $.ajax({
              url: ('@Url.Action("Save", "Entity")'),
              type: "POST",
              async:false,
              data: '{param:' + JSON.stringify(par) + '}',
              dataType: "json",
              contentType: "application/json; charset=utf-8",
              success: function (result) {
                  if (result.Type == "E") {
                      toastr.error(result.Message);
                      $("#CreateModal").modal('hide');
                  }
                  else {
                      toastr.success('Se guardo correctamente.');
                      $("#txtName").prop('disabled', true);
                      $("#btnSave").prop('disabled', true);

                      fnRecargar();
                  }


              },
              error: function (result) {
                  toastr.error('Se produjo un error inesperado', 'Error');
              }
            });
        }

        function fnDelete(id)
        {

            var par = {};
            par.Id = id;


            $.ajax({
              url: ('@Url.Action("Delete", "Entity")'),
              type: "POST",
              async:false,
              data: '{param:' + JSON.stringify(par) + '}',
              dataType: "json",
              contentType: "application/json; charset=utf-8",
              success: function (result) {
                  if (result.Type == "E") {
                      toastr.error(result.Message);
                      fnRecargar();
                  }
                  else {
                      toastr.success('Se elimino correctamente.');
                      fnRecargar();
                  }
              },
              error: function (result) {
                  toastr.error('Se produjo un error inesperado', 'Error');
              }
            });
        }

        function fnEdit()
        {

            var par = {};
            par.Id = $("#txtEditId").val();;
            par.Name = $("#txtEditName").val();

            $.ajax({
              url: ('@Url.Action("Edit", "Entity")'),
              type: "POST",
              async:false,
              data: '{param:' + JSON.stringify(par) + '}',
              dataType: "json",
              contentType: "application/json; charset=utf-8",
              success: function (result) {
                  if (result.Type == "E") {
                      toastr.error(result.Message);
                      $("#EditModal").modal('hide');
                  }
                  else {
                      toastr.success('Se guardo correctamente.');
                      $("#txtEditName").prop('disabled', true);
                      $("#btnEditSave").prop('disabled', true);

                      fnRecargar();
                  }


              },
              error: function (result) {
                  toastr.error('Se produjo un error inesperado', 'Error');
              }
            });
        }



         function fnRecargar()
         {
             location.reload(true);
         }


        </script>

        @Scripts.Render("~/bundles/jqueryval")
    }

